### Signal

# GtkSource View::show-completion

#### Declaration

    void
    show_completion (
      GtkSourceView* self,
      gpointer user_data
    )

#### Description [src]

The signal is a key binding signal which gets emitted when the user requests a completion, by pressing Control space.

This will create a `GtkSourceCompletionContext` with the activation type as `GTK_SOURCE_COMPLETION_ACTIVATION_USER_REQUESTED`.

Applications should not connect to it, but may emit it with `g_signal_emit_by_name()` if they need to activate the completion by another means, for example with another key binding or a menu entry.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code